import request from '@/utils/request'

// 查询会员转移审批列表
export function listSystemApproval(query) {
  return request({
    url: '/system/approval/list',
    method: 'get',
    params: query
  })
}

// 查询会员转移审批详细
export function getSystemApproval(id) {
  return request({
    url: '/system/approval/' + id,
    method: 'get'
  })
}

// 新增会员转移审批
export function addSystemApproval(data) {
  return request({
    url: '/system/approval',
    method: 'post',
    data: data
  })
}

// 修改会员转移审批
export function updateSystemApproval(data) {
  return request({
    url: '/system/approval',
    method: 'put',
    data: data
  })
}

// 删除会员转移审批
export function delSystemApproval(id) {
  return request({
    url: '/system/approval/' + id,
    method: 'delete'
  })
}

// 导出会员转移审批
export function exportSystemApproval(query) {
  return request({
    url: '/system/approval/export',
    method: 'post',
    params: query
  })
}
